# ifndef AlphaBetaTestCase_h
# define AlphaBetaTestCase_h
#include "TestHeader.h"
# include "Algorithms/AlphaBeta.h"
class AlphaBetaTestCase:
  public TestCase
{
public:
  AlphaBetaTestCase (std::string name="") : TestCase (name) {}
  static Test		*suite ();
protected:
  void simpleCapture();
  void fork();
  void fork2();
  void simpleCaptureWithFactor();
  void twoGames();
};
#endif
